<?php
session_start();
?>

<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
    <head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
        <title></title>
    </head>
    <?php
            include("connect.php");
            $kapcsolat=connect();
         if($_SESSION['felhasznalonev']!=""){
            $nev=$_SESSION['felhasznalonev'];
            $parancs="SELECT * FROM felhasznalok where azonosito='$nev'";
            $e = mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a kinézet lekérdezése: " .mysql_error() );
            $eredmeny = mysql_fetch_row( $e );
         }
            ?>


    <link rel="stylesheet" type="text/css" href="<?php if($eredmeny[4]!="") print $eredmeny[4]; else print "classic"; ?>.css">

    <body>



<?
function levanezarva ( $idobelyeg ){
    $zarasi_ido=8;
    $datum=getdate($idobelyeg);
    $jelenlegi_datum=getdate();
    $jelenlegi_idobelyeg=time();

    if($datum[year]==$jelenlegi_datum[year] and $datum[mon]==$jelenlegi_datum[mon] and $datum[mday]==$jelenlegi_datum[mday]) {
        if($jelenlegi_datum[hours]<$zarasi_ido){
            return "false";
        }
        else{
            if($datum[hours]>$zarasi_ido) return "false";
            else return "true";
        }
    }
    else{
        if($datum[hours]<$zarasi_ido){
            return "true";
        }
        else {
        $tegnapi_idobelyeg=$jelenlegi_idobelyeg-(24*60*60);
        $tegnapi_datum=getdate($tegnapi_idobelyeg);
        if($datum[year]==$tegnapi_datum[year] and $datum[mon]==$tegnapi_datum[mon] and $datum[mday]==$tegnapi_datum[mday] and $jelenlegi_datum[hours]<$zarasi_ido) {
            return "false";
        }
        else {
            return "true";
        }
        }
    }
}



?>








<?
/*-------------------------------------------------------------------------*/
?>


<?
    if($_GET['torlendo_termek_id']!="" and $_SESSION['felhasznalonev']=="admin"){
        $torlendo_termek_id=$_GET['torlendo_termek_id'];
        $parancs="DELETE FROM termekek WHERE id=$torlendo_termek_id";
        mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a termék törlése az adatbázisból: " .mysql_error() );
    }


?>



<?
    if($_GET['termeket_torol']!="" and $_SESSION['felhasznalonev']!=""){
        $id=$_GET['termeket_torol'];
        $kosar_id=$_GET['megrendelest_megtekint'];
        $felhasznalo=$_SESSION['felhasznalonev'];
        $parancs="DELETE FROM megrendelesek WHERE megrendelo='$felhasznalo' and id=$id and kosar_id=$kosar_id";
        mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a termék törlése a kosárból: " .mysql_error() );
    }

?>










<?
    if($_GET['megrendelest_torol']!="" and $_SESSION['felhasznalonev']!="" ){
        $felhasznalo=$_SESSION['felhasznalonev'];
        $kosar_id=$_GET['megrendelest_torol'];
        $leadvaido=$_GET['leadvaido'];
       if($leadvaido==0 or levanezarva($leadvaido)=="false"){
        $parancs="DELETE FROM megrendelesek WHERE megrendelo='$felhasznalo' and kosar_id=$kosar_id";
        mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a kosár törlése: " .mysql_error() );
       }
       else print "Nem sikerült a megrendelés törlése, mert lejárt a határidő!";
    }


?>






<?
    if($_GET['tesz']!="" and $_SESSION['felhasznalonev']!=""){
        if($_SESSION['kosar_id']!="")
           $kosar_id=$_SESSION['kosar_id'];
        else{
           $kosar_id=time();
           $_SESSION['kosar_id']=$kosar_id;
        }
        $id=$_GET['tesz'];
        $nev=$_GET['nev'];
        $tipus=$_GET['tipus'];
        $leiras=$_GET['leiras'];
        $garancia=$_GET['garancia'];
        $ar=$_GET['ar'];
        $kep=$_GET['kep'];
        $megrendelo=$_SESSION['felhasznalonev'];
        $leadva=0;
        $fizetve=0;
        $kezbesitve=0;
        $darab_termek=$_GET['darab_termek'];
        $cim="-";

        $parancs="SELECT * FROM megrendelesek WHERE megrendelo='$megrendelo' and kosar_id=$kosar_id and id=$id";
        $eredmeny=mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a kosárbahelyezés: " .mysql_error() );
        $eredm=mysql_num_rows($eredmeny);
        if($eredm!=0) $parancs="UPDATE megrendelesek SET darab_termek=darab_termek+$darab_termek WHERE megrendelo='$megrendelo' and kosar_id=$kosar_id and id=$id";
        else
        $parancs="INSERT INTO megrendelesek VALUES ( $id, '$nev', '$tipus', '$leiras', $garancia, $ar, '$kep', '$megrendelo', $kosar_id, $leadva, $fizetve, $kezbesitve, $darab_termek, '$cim' )";
        mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a kosárbahelyezés: " .mysql_error() );
    }
?>






<?
    if($_GET['modositando_kosar']!="" and $_SESSION['felhasznalonev']!=""){
        $leadvaido=$_GET['leadvaido'];
       if($leadvaido==0 or levanezarva($leadvaido)=="false") {
        $_SESSION['kosar_id']=$_GET['modositando_kosar'];
        $megrendelo=$_SESSION['felhasznalonev'];
        $kosar_id=$_GET['modositando_kosar'];
        $parancs="UPDATE megrendelesek SET leadva=0 WHERE megrendelo='$megrendelo' and kosar_id=$kosar_id";
        mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a megrendelés kosárba visszahelyezése: " .mysql_error() );
       }
       else print "Nem sikerült a megrendelés visszahelyezése a kosárba, mivel lejárt a határidő!!";
    }
?>






<?
    if($_GET['veglegesitendo_kosar']!="" and $_SESSION['felhasznalonev']!=""){
        $kosar_id=$_GET['veglegesitendo_kosar'];
        $felhasznalo=$_SESSION['felhasznalonev'];
        $leadvaido=$_GET['leadvaido'];
        $leadva=time();
       if($leadvaido==0 or levanezarva($leadvaido)=="false" ){
           if($_GET['irszam']=="" or $_GET['telp']=="" or $_GET['utcahsz']==""){
           ?>
           <div id="megrendelesiadatokmegadasa">

                <div id="szoveg" align="center">
                Megrendelését fizetheti készpénzzel a csomag kiszállításakor, illetve átutalással. <br>
                Számlaszám: 123456789-987654321
                </div> <br>

           <h2 align="center">Adatok megadása a kiszállításhoz</h2> <br>
           <h4 align="center">
               <form action="webshop.php">
                   <input type="hidden" name="veglegesitendo_kosar" value="<? print $kosar_id; ?>" />
                   <input type="hidden" name="leadvaido" value="<? print $leadvaido; ?>" />
                   Irányítószám: <input type="text" name="irszam" value="" /> <br>
                   Település   : <input type="text" name="telp" value="" /> <br>
                   Utca, házsz.: <input type="text" name="utcahsz" value="" /> <br>
                   Név         : <input type="text" name="kiszallnev" value="" /> <br>
                   <input type="submit" value="Véglegesítés" />
               </form>
           </h4>




           <? }
         if($_GET['irszam']!="" and $_GET['telp']!="" and $_GET['utcahsz']!="" and $_GET['kiszallnev']!=""){
          $szoveg=$_GET['irszam']." - ".$_GET['telp']." - ".$_GET['utcahsz']."."." - ".$_GET['kiszallnev'];
        $parancs="UPDATE megrendelesek SET leadva=$leadva WHERE megrendelo='$felhasznalo' and kosar_id=$kosar_id";
        mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a megrendelés véglegesítése: " .mysql_error() );
        $parancs="UPDATE megrendelesek SET cim='$szoveg' WHERE megrendelo='$felhasznalo' and kosar_id=$kosar_id";
        mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a megrendelés véglegesítése: " .mysql_error() );
         $_GET['veglegesitendo_kosar']="";
         }
         else print "Minden mezőt ki kell tölteni!";

       }
       else { print "Nem sikerült a véglegesítés, mivel már lejárt a határidő!!"; }
        $_SESSION['kosar_id']="";
        $_SESSION['kosar_id'] = NULL;
        unset($_SESSION['kosar_id']);
    }
?>

           </div>

    




<?
  if($_SESSION['felhasznalonev']!=""){
    $kosar_id=$_SESSION['kosar_id'];
    $felhasznalo=$_SESSION['felhasznalonev'];
    $parancs="SELECT * FROM megrendelesek WHERE kosar_id='$kosar_id' and megrendelo='$felhasznalo'";
    $eredmeny=mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a kosár tartalmának lekérése: " .mysql_error() );
    $e=mysql_num_rows($eredmeny);
    ?> <h2 align="center"><a href="webshop.php?megrendelest_megtekint=<? print $kosar_id; ?>">KOSÁR (<? print $e; ?>)</a></h2> <?
  }
?>








<? if($_GET['megrendelesek_mutat']==1 && $_SESSION['felhasznalonev']!=""){
      if($_GET['milyen_megrendeles']==""){
        ?>
        <a href="webshop.php?megrendelesek_mutat=1&milyen_megrendeles=fuggo">Függőben lévő megrendelések</a><br>
        <a href="webshop.php?megrendelesek_mutat=1&milyen_megrendeles=leadott">Leadott megrendelések</a><br>
        <?
      }
      else{
        if($_GET['milyen_megrendeles']=="fuggo"){
        $megrendelo=$_SESSION['felhasznalonev'];
        $parancs="SELECT DISTINCT kosar_id, leadva FROM megrendelesek WHERE megrendelo='$megrendelo' and leadva=0";
        if($megrendelo=="admin") $parancs="SELECT DISTINCT kosar_id, leadva, fizetve, kezbesitve, megrendelo FROM megrendelesek WHERE leadva=0";
        $eredmeny=mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a megrendelések lekérdezése: " .mysql_error() );
        $megrendelesek_szama=mysql_num_rows($eredmeny);
        }
        if($_GET['milyen_megrendeles']=="leadott"){
        $megrendelo=$_SESSION['felhasznalonev'];
        $parancs="SELECT DISTINCT kosar_id, leadva FROM megrendelesek WHERE megrendelo='$megrendelo' and leadva<>0";
        if($megrendelo=="admin") $parancs="SELECT DISTINCT kosar_id, leadva, fizetve, kezbesitve, megrendelo FROM megrendelesek WHERE leadva<>0";
        $eredmeny=mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a megrendelések lekérdezése: " .mysql_error() );
        $megrendelesek_szama=mysql_num_rows($eredmeny);
        }

        $i=0;
        while($i<$megrendelesek_szama){
            $e=mysql_fetch_row($eredmeny);
            $kosar_id=$e[0];
            if($_GET['milyen_megrendeles']=="fuggo")
              $datum_tomb=getdate($kosar_id);
            if($_GET['milyen_megrendeles']=="leadott")
              $datum_tomb=getdate($e[1]);
            $datum="$datum_tomb[year]-$datum_tomb[mon]-$datum_tomb[mday] $datum_tomb[hours]:$datum_tomb[minutes]:$datum_tomb[seconds]";
            ?> <a href="webshop.php?megrendelest_megtekint=<? print $kosar_id; ?>&felhnev=<? print $e[4]; ?>"><? print $datum; ?></a>  <? if($megrendelo=="admin") { if($e[2]==1) print "Fizetve "; if($e[3]==1) print "Kézbesítve";      }        print "<br>";
            $i+=1;
         }
      }
}



if($_GET['megrendelest_megtekint']!="" && $_SESSION['felhasznalonev']!=""){
   $kosarid=$_GET['megrendelest_megtekint'];
   $megrendelo=$_SESSION['felhasznalonev'];
  if($megrendelo!="admin"){
   if($_GET['mi']=="") $parancs="SELECT * FROM megrendelesek WHERE kosar_id='$kosarid' and megrendelo='$megrendelo'";
   if($_GET['mi']!=""){ $mi=$_GET['mi']; $rend=$_GET['rend']; $parancs="SELECT * FROM megrendelesek WHERE kosar_id='$kosarid' and megrendelo='$megrendelo' ORDER BY $mi $rend"; }
  }
  else{
   $felhnev=$_GET['felhnev'];
   if($_GET['mi']=="") $parancs="SELECT * FROM megrendelesek WHERE kosar_id='$kosarid' and megrendelo='$felhnev'";
   if($_GET['mi']!=""){ $mi=$_GET['mi']; $rend=$_GET['rend']; $parancs="SELECT * FROM megrendelesek WHERE kosar_id='$kosarid' and megrendelo='$felhnev' ORDER BY $mi $rend"; }
  }
   $eredmeny=mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a megrendelések lekérdezése: " .mysql_error() );
   $sorok_szama=mysql_num_rows($eredmeny);
   $vegosszeg=0;
   ?>


    <div id="szoveg" align="center">
    Számlaszám: 123456789-987654321
    </div> <br>

   <table border="1" id="webshop">
      <thead id="webshop">
         <tr id="webshop">
            <th id="webshop"><a href="webshop.php?megrendelest_megtekint=<? print $kosarid; ?>&felhnev=<? print $felhnev; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=nev">Név</a></th>
            <th id="webshop"><a href="webshop.php?megrendelest_megtekint=<? print $kosarid; ?>&felhnev=<? print $felhnev; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=tipus">Típus</a></th>
            <th id="webshop"><a href="webshop.php?megrendelest_megtekint=<? print $kosarid; ?>&felhnev=<? print $felhnev; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=leiras">Leírás</a></th>
            <th id="webshop"><a href="webshop.php?megrendelest_megtekint=<? print $kosarid; ?>&felhnev=<? print $felhnev; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=garancia">Garancia</a></th>
            <th id="webshop"><a href="webshop.php?megrendelest_megtekint=<? print $kosarid; ?>&felhnev=<? print $felhnev; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=ar">Ár</a></th>
            <th id="webshop"><a href="webshop.php?megrendelest_megtekint=<? print $kosarid; ?>&felhnev=<? print $felhnev; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=kep">Kép</a></th>
            <th id="webshop"><a href="webshop.php?megrendelest_megtekint=<? print $kosarid; ?>&felhnev=<? print $felhnev; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=darab_termek">Darab</a></th>
         </tr>
      </thead>

      <tbody id="webshop">
        <?
        $i=0;
        while ($i<$sorok_szama){
           $e_sor = mysql_fetch_row( $eredmeny ); $vegosszeg+=$e_sor[5]*$e_sor[12]; ?>

           <tr id="webshop">
              <td id="webshop"><? print $e_sor[1]; ?></td>
              <td id="webshop"><? print $e_sor[2]; ?></td>
              <td id="webshop"><? print $e_sor[3]; ?></td>
              <td id="webshop"><? print $e_sor[4]; ?></td>
              <td id="webshop"><? print $e_sor[5]; ?></td>
              <td id="webshop"><img src="pictures/<? print $e_sor[6]; ?>"</td>
              <td id="webshop"><? print $e_sor[12]; ?></td>
              <td id="webshop"><a href="forum.php?oldal=webshop_forum&id=<? print $e_sor[0]; ?>">Vélemények</a>  </td>
              <? if($e_sor[9]==0) { ?>  <td id="webshop"><a href="webshop.php?megrendelest_megtekint=<? print $kosarid; ?>&termeket_torol=<? print $e_sor[0]; ?>">Töröl</a></td> <? } ?>
           </tr>

        <?
        $i+=1;
        }
        ?>
      </tbody>
   </table>
   <div id="megrendelesinfo">
   <h1 align="center"><? print $vegosszeg." Ft" ?></h1>  <h4 align="center">Nettó: <? $afa=$vegosszeg/1.2; settype($afa, "integer"); print $afa." Ft" ?> <br> ÁFA összege: <? $afa=$vegosszeg-$afa; settype($afa, "integer"); print $afa." Ft" ?></h4>
   <? if($e_sor[9]!=0) { ?><h3 align="center">Megrendelésszám: <?print $e_sor[7].$kosarid; ?> <br> Fizetve: <? if($e_sor[10]==1) print "Igen"; else print "Nem"; ?> <br> Kézbesítve: <? if($e_sor[11]==1) print "Igen"; else print "Nem"; ?> </h3> <br> <h3 align="center">Kiszállítási cím: <? print $e_sor[13]; ?></h3> <? } ?>
<?
if(($e_sor[9]==0 or levanezarva($e_sor[9])=="false") and ($_SESSION['felhasznalonev']!="admin") ) { ?>  <br><br> <h2 align="center"><a href="webshop.php?modositando_kosar=<? print $kosarid; ?>&leadvaido=<? print $e_sor[9]; ?>">MÓDOSÍTÁS (visszahelyezés a kosárba)</a></h2> <br> <h2 align="center"><a href="webshop.php?veglegesitendo_kosar=<? print $kosarid; ?>&leadvaido=<? print $e_sor[9]; ?>">VÉGLEGESÍTÉS</a></h2>  <br>  <h2 align="center"><a href="webshop.php?megrendelest_torol=<? print $kosarid; ?>&leadvaido=<? print $e_sor[9]; ?>">TÖRLÉS</a></h2> <? }
if($_SESSION['felhasznalonev']=="admin") { ?> <h3 align="center"><a href="webshop.php?fizetve=<? print $kosarid; ?>&felhnev=<? print $felhnev; ?>">Megrendelés befizetésének beregisztrálása</a> <br> <a href="webshop.php?kezbesitve=<? print $kosarid; ?>&felhnev=<? print $felhnev; ?>">Megrendelés kézbesítésének beregisztrálása</a> </h3> <? }
}
?>
</div>



<?
    if($_SESSION['felhasznalonev']=="admin" and $_GET['fizetve']!=""){
        $kosar_id=$_GET['fizetve'];
        $felhnev=$_GET['felhnev'];
        if($felhnev=="")
        $parancs="UPDATE megrendelesek SET fizetve=1 WHERE kosar_id=$kosar_id";
        else
        $parancs="UPDATE megrendelesek SET fizetve=1 WHERE kosar_id=$kosar_id and megrendelo='$felhnev'";
        mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a megrendelések fizetett státuszának beállítása: " .mysql_error() );
    }
?>






<?
    if($_SESSION['felhasznalonev']=="admin" and $_GET['kezbesitve']!=""){
        $kosar_id=$_GET['kezbesitve'];
        $felhnev=$_GET['felhnev'];
        if($felhnev=="")
        $parancs="UPDATE megrendelesek SET kezbesitve=1 WHERE kosar_id=$kosar_id";
        else
        $parancs="UPDATE megrendelesek SET kezbesitve=1 WHERE kosar_id=$kosar_id and megrendelo='$felhnev'";
        mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a megrendelések kézbesített státuszának beállítása: " .mysql_error() );
    }
?>











<?/*------------------------------------------------------------------------*/?>


<? if($_GET['kat']=="" and $_GET['kosar_mutat']=="" and $_GET['megrendelesek_mutat']=="" and $_GET['megrendelest_megtekint']=="" and $_GET['veglegesitendo_kosar']=="") { ?>

<? if($_SESSION['felhasznalonev']!="") { ?>
<h3 align="center">
    <a href="webshop.php?megrendelesek_mutat=1">Megrendelések</a><br>
</h3>
<? } ?>

<h2 align="center">
    <a href="webshop.php?kat=osszes">Összes kategória</a><br><br>
</h2>

<h3 align="center">
    <a href="webshop.php?kat=kabelek">Kábelek, csatlakozók</a><br>
    <a href="webshop.php?kat=allomasok">Időjárás állomások</a><br>
    <a href="webshop.php?kat=villamdetektorok">Villámdetektorok</a><br>
    <a href="webshop.php?kat=csapadekmerok">Csapadékmérők</a><br>
    <a href="webshop.php?kat=videokamerak">Videokamerák</a><br>
    <a href="webshop.php?kat=fenykepezok">Fényképezők</a><br>
    <a href="webshop.php?kat=szelmerok">Szélmérők</a><br>
    <a href="webshop.php?kat=homerok">Hőmérők</a><br>
    <br>
</h3>


<? } ?>


<? if($_GET['kat']=="fenykepezok") { ?>
<h3 align="center">
      <a href="webshop.php?kat=kiegeszitok">kiegészítők</a><br>
      <a href="webshop.php?kat=gepek">gépek</a><br>
</h3> <? } ?>







<? if($_GET['kat']!="") {
    $kategoria=$_GET['kat'];
    if($_GET['kat']=="kabelek") $tipus="Kábel, csatlakozó";
    if($_GET['kat']=="allomasok") $tipus="Időjárás állomás";
    if($_GET['kat']=="villamdetektorok") $tipus="Villámdetektor";
    if($_GET['kat']=="csapadekmerok") $tipus="Csapadékmérő";
    if($_GET['kat']=="videokamerak") $tipus="Videókamera";
    if($_GET['kat']=="szelmerok") $tipus="Szélmérő";
    if($_GET['kat']=="homerok") $tipus="Hőmérő";
    if($_GET['kat']=="kiegeszitok") $tipus="Kiegészítő";
    if($_GET['kat']=="gepek") $tipus="Fényképezőgép";
    if($_GET['kat']=="osszes") $tipus="Összes";


    if($_GET['rend']!=""){
        $mi=$_GET['mi'];
        $rend=$_GET['rend'];
        if($_GET['kat']!="osszes"){
        $parancs="SELECT * FROM termekek WHERE tipus='$tipus' ORDER BY $mi $rend";
        }
        else{
        $parancs="SELECT * FROM termekek ORDER BY $mi $rend";
        }
    }
    else{
        if($_GET['kat']!="osszes"){
        $parancs="SELECT * FROM termekek WHERE tipus='$tipus'";
        }
        else{
        $parancs="SELECT * FROM termekek";
        }
    }


    $eredmeny = mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a terméklista lekérdezése: " .mysql_error() );
    $e_szam= mysql_num_rows( $eredmeny );

if($_GET['kat']!="fenykepezok") {
?>

<table border="1" id="webshop">
    <thead id="webshop">
        <tr id="webshop">
            <th id="webshop"><a href="webshop.php?kat=<? print $kategoria; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=nev">Név</a></th>
            <th id="webshop"><a href="webshop.php?kat=<? print $kategoria; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=tipus">Típus</a></th>
            <th id="webshop"><a href="webshop.php?kat=<? print $kategoria; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=leiras">Leírás</a></th>
            <th id="webshop"><a href="webshop.php?kat=<? print $kategoria; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=garancia">Garancia</a></th>
            <th id="webshop"><a href="webshop.php?kat=<? print $kategoria; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=ar">Ár</a></th>
            <th id="webshop"><a href="webshop.php?kat=<? print $kategoria; ?>&rend=<? if($_GET['rend']=="ASC") print "DESC"; else print "ASC"; ?>&mi=kep">Kép</a></th>
        </tr>
    </thead>
    <tbody id="webshop">
    
 <?

    $i=0;
    while ($i!=$e_szam){
        $e_sor = mysql_fetch_row( $eredmeny );  ?>

        <tr id="webshop">
            <td id="webshop"><? print $e_sor[1]; ?></td>
            <td id="webshop"><? print $e_sor[2]; ?></td>
            <td id="webshop"><? print $e_sor[3]; ?></td>
            <td id="webshop"><? print $e_sor[4]; ?></td>
            <td id="webshop"><? print $e_sor[5]; ?></td>
            <td id="webshop"><img src="pictures/<? print $e_sor[6]; ?>"</td>
            <? /* if($_SESSION['felhasznalonev']!="") { ?>  <td id="webshop"><a href="webshop.php?tesz=<? print $e_sor[0]; ?>&nev=<? print $e_sor[1]; ?>&tipus=<? print $e_sor[2]; ?>&leiras=<? print $e_sor[3]; ?>&garancia=<? print $e_sor[4]; ?>&ar=<? print $e_sor[5]; ?>&kep=<? print $e_sor[6]; ?>&kat=<? print $kategoria; ?>">Kosárba</a></td><? } */ ?>
            <td id="webshop"><a href="forum.php?oldal=webshop_forum&id=<? print $e_sor[0]; ?>">Vélemények</a>  </td>
            <? if($_SESSION['felhasznalonev']!="") { ?>
            <td id="webshop">
                <form action="webshop.php?tesz=<? print $e_sor[0]; ?>&nev=<? print $e_sor[1]; ?>&tipus=<? print $e_sor[2]; ?>&leiras=<? print $e_sor[3]; ?>&garancia=<? print $e_sor[4]; ?>&ar=<? print $e_sor[5]; ?>&kep=<? print $e_sor[6]; ?>&kat=<? print $kategoria; ?>" method="GET">
                    <input type="hidden" name="tesz" value="<? print $e_sor[0]; ?>" />
                    <input type="hidden" name="nev" value="<? print $e_sor[1]; ?>" />
                    <input type="hidden" name="tipus" value="<? print $e_sor[2]; ?>" />
                    <input type="hidden" name="leiras" value="<? print $e_sor[3]; ?>" />
                    <input type="hidden" name="garancia" value="<? print $e_sor[4]; ?>" />
                    <input type="hidden" name="ar" value="<? print $e_sor[5]; ?>" />
                    <input type="hidden" name="kep" value="<? print $e_sor[6]; ?>" />
                    <input type="hidden" name="kat" value="<? print $kategoria; ?>" />

                    <input type="text" name="darab_termek" value="1" size="1" /> darabot
                    <input type="submit" value="Kosárba" />
                </form>
            </td>
            <? } ?>

            <? if($_SESSION['felhasznalonev']=="admin") { ?>
              <td id="webshop">
                  <a href="webshop.php?kat=<? print $kategoria; ?>&torlendo_termek_id=<? print $e_sor[0]; ?>">Töröl</a>
              </td>
            <? } ?>
        </tr>

<? 
$i+=1;
}
?>     </tbody>
</table> <? }

if($_SESSION['felhasznalonev']=="admin" && $_GET['nev']!=""){
    $id=time();
    $nev=$_GET['nev'];
    $leiras=$_GET['leiras'];
    $garancia=$_GET['garancia'];
    $ar=$_GET['ar'];
    $kep=$_GET['kep'];

$parancs="INSERT INTO termekek VALUES ( $id, '$nev', '$tipus', '$leiras', $garancia, $ar, '$kep' )";
    mysql_query( $parancs, $kapcsolat) or die ( "Nem sikerült a termék felvétele: " .mysql_error() );
}





if($_SESSION['felhasznalonev']=="admin"){
    ?>
    <div id="megrendelesiadatokmegadasa">
<form name="ujtermek" action="webshop.php" method="GET">
    Név:<input type="text" name="nev" value="" /><br>
    Leírás:<input type="text" name="leiras" value="" /><br>
    Garancia:<input type="text" name="garancia" value="" /><br>
    Ár:<input type="text" name="ar" value="" /><br>
    Kép:<input type="text" name="kep" value="" /><br>
    <input type="hidden" name="kat" value=<? print $kategoria; ?> />
    <input type="submit" value="Termék hozzáadása" /><br>
</form>
    </div>
<?
}







} ?>









<?php
mysql_close( $kapcsolat );
?>

    </body>
</html>